Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class StrongsNumberFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.crosswire.jsword.index.lucene.analysis.AbstractBookTokenFilter
                      org.crosswire.jsword.index.lucene.analysis.StrongsNumberFilter

All Implemented Interfaces:
  Closeable

    public class StrongsNumberFilter

extends AbstractBookTokenFilter

A StrongsNumberFilter normalizes Strong's Numbers.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary
`private static org.slf4j.Logger` | `log` The log stream
`private StrongsNumber` | `number`
`private org.apache.lucene.analysis.tokenattributes.TermAttribute` | `termAtt`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`StrongsNumberFilter(Book book, org.apache.lucene.analysis.TokenStream in)` Construct filtering in.
`StrongsNumberFilter(org.apache.lucene.analysis.TokenStream in)` Construct filtering in.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`boolean` | `incrementToken()`

Methods inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookTokenFilter
`getBook, setBook`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### termAtt

    private org.apache.lucene.analysis.tokenattributes.TermAttribute termAtt

### number

    private StrongsNumber number

### log

    private static final org.slf4j.Logger log

  The log stream

Constructor Detail

### StrongsNumberFilter

    public StrongsNumberFilter(org.apache.lucene.analysis.TokenStream in)

  Construct filtering in.

  Parameters:
    `in` -

### StrongsNumberFilter

    public StrongsNumberFilter(Book book,
                               org.apache.lucene.analysis.TokenStream in)

  Construct filtering in.

  Parameters:
    `book` - the book
    `in` -

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `AbstractBookTokenFilter`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractBookTokenFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD